#include <stdio.h>

int main(){
  
  int n,i=0,space,j,z=1,k;   /* n odredjuje uneseni broj, i je brojac za n, space je broj razmaka, j je brojac za space i zvezdice, k odredjuje broj zvezda
									  dok z odreduje broj crtica */
  
  scanf("%d", &n);
  if(n<=0){
    printf("-1\n");		/* slucaj greske, pogresnog unosa */
    return;
  }
  space=0;
  k=n;
  for(i=0;i<n;i++){
    for(j=0;space>j;j++)
      printf(" ");
      for(j=0;j<k;j++){
	 printf("*");
	 if(z<k && j+1<k)
	   printf("-");
      }
    z=0;
    space++;
    k--;
    printf("\n");
  }
  
  
  return 0;
}

